# economize - manage economy server

## Background

My storage server, `economy`, is nearly a decade old, and has 18 spinning rust
disks, so it's a bit power-hungry: when idle, it draws about 270W. If left on
all day, that would consume roughly 6.5 kWh of energy, costing about $2.6.
Over a month, that would be $78. (Thanks, PG&E! :( )

But, I have a newer Ryzen 5000U-based mini-PC server that consumes much less
power and runs 24/7 anyway. So I can schedule periodic jobs to bring `economy`
up and down. This program implements the logic for those jobs.

`economize up` will use the BMC to power on the server.

`economize down` will use the BMC to power down the server safely by sending
an ACPI signal to the operating system.
